Uploaded image for project: 'ZABBIX BUGS AND ISSUES'
  1. ZABBIX BUGS AND ISSUES
  2. ZBX-20824

CAN NOT USE zabbix-agent2 for monitoring MongoDB 5x

    XMLWordPrintable

Details

    • Patch request
    • Resolution: Duplicate
    • Trivial
    • None
    • None
    • None
    • None

    Description

      Hello Zabbix Team

      Faced the same issue like in https://support.zabbix.com/browse/ZBXNEXT-6891

      The zabbix-agent2 uses the obsolete MongoDB driver to connect to the service. 
      MongoDB version 5x

      The codebase looks like zabbix_agent2 is not using the official Mongo driver by an unmaintained one (since 2018). That's probably why it's would take time to upgrade the zabbix-agent2.

       

      https://github.com/zabbix/zabbix/blob/master/src/go/go.mod#L31

      https://github.com/go-mgo/mgo

      Please fix this issue as soon as possible
      Thank You

      Attachments

        Issue Links

          Activity

            People

              zabbix.support Zabbix Support Team
              GenaCvali Миквабия Гена
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: